<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Lichteck">
<Parameter name="O">Anfangsereignis</Parameter>
<Parameter name="p5">1.Spiegel</Parameter>
<Parameter name="p6">2.Spiegel</Parameter>
<Comment>
<P>Konstruiert ein &quot;Lichteck&quot; mit Zielereignis ausgehend von
einem Anfangsereignis und zwei Spiegelweltlinien</P>
</Comment>
<Objects>
<Point name="O" mainparameter="true" x="0.0" y="0.0">Punkt in 0.0, 0.0</Point>
<Line name="p5" mainparameter="true">???</Line>
<Line name="p6" mainparameter="true">???</Line>
<Point name="P2" color="5" hidden="true" x="x(O)+1.0" y="y(O)+1.0" fixed="true">Punkt in &quot;x(O)+1.0&quot;, &quot;y(O)+1.0&quot;</Point>
<Ray name="r1" color="5" hidden="true" from="O" to="P2">Strahl von O in Richtung P2</Ray>
<Point name="P3" color="5" hidden="true" x="x(O)+1.0" y="y(O)-1.0" fixed="true">Punkt in &quot;x(O)+1.0&quot;, &quot;y(O)-1.0&quot;</Point>
<Ray name="r2" color="5" hidden="true" from="O" to="P3">Strahl von O in Richtung P3</Ray>
<Intersection name="S1" color="5" hidden="true" first="r1" second="p5">Schnitt zwischen r1 und p5</Intersection>
<Intersection name="S2" color="5" hidden="true" first="r2" second="p6">Schnitt zwischen r2 und p6</Intersection>
<Plumb name="l1" color="5" hidden="true" point="S1" line="r1" valid="true">Lot durch S1 zu r1</Plumb>
<Plumb name="l2" color="5" hidden="true" point="S2" line="r2" valid="true">Lot durch S2 zu r2</Plumb>
<Intersection name="S3" color="5" target="true" first="l1" second="l2">Schnitt zwischen l1 und l2</Intersection>
<Polygon name="A3" color="5" background="true" target="true" point1="O" point2="S2" point3="S3" point4="S1">Vieleck O, S2, S3, S1</Polygon>
</Objects>
</Macro>
</CaR>
