<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Koordinatensysteme/Schiefes Koordinatensystem">
<Parameter name="P2">O</Parameter>
<Parameter name="P3">P</Parameter>
<Comment>
<P>Erzeugt ein schiefes Koordinatensystem mit Ursprung in O
und erstem x-Achsentick in P. </P>
<P>Außerdem werden zwei Punkte X und Y und zwei Ausdrücke x
und y erzeugt. Edieren Sie den Ausdruck y, um eine eigene
Funktion einzugeben.</P>
<P>Man sollte lieber das normierte Koordinatensystem
verwenden.</P>
</Comment>
<Objects>
<Point name="P2" n="0" hidden="true" mainparameter="true" x="-0.7249999999999996" y="0.9124999999999996">Punkt in -0.725, 0.9125</Point>
<Point name="P3" n="1" hidden="true" mainparameter="true" x="0.025000000000000362" y="0.9124999999999996">Punkt in 0.025, 0.9125</Point>
<Line name="g1" n="2" hidden="super" from="P2" to="P3">Gerade durch P2 und P3</Line>
<Plumb name="l1" n="3" hidden="super" point="P2" line="g1" valid="true">Lot durch P2 zu g1</Plumb>
<Circle name="k1" n="4" hidden="super" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" n="5" hidden="super" first="l1" second="k1" which="first">Schnitt zwischen l1 und k1</Intersection>
<Intersection name="S2" n="6" hidden="super" first="l1" second="k1" which="second">Schnitt zwischen l1 und k1</Intersection>
<Intersection name="S3" n="7" hidden="super" first="g1" second="k1" awayfrom="P3" which="second">Schnitt zwischen g1 und k1</Intersection>
<Segment name="s1" n="8" hidden="super" from="P2" to="P3">Strecke von P2 nach P3</Segment>
<PointOn name="OP4" n="9" on="g1" alpha="-4.275" x="-5.0" y="0.9124999999999996" shape="dot">Punkt auf g1</PointOn>
<PointOn name="OP5" n="10" on="g1" alpha="4.475" x="3.75" y="0.9124999999999996" shape="dot">Punkt auf g1</PointOn>
<Segment name="s2" n="11" from="OP4" to="OP5" arrow="true">Strecke von OP4 nach OP5</Segment>
<PointOn name="OP6" n="12" on="l1" alpha="-4.1625" x="-0.7249999999999996" y="-3.25" shape="dot">Punkt auf l1</PointOn>
<PointOn name="OP7" n="13" on="l1" alpha="4.1675" x="-0.7249999999999996" y="5.08" shape="dot">Punkt auf l1</PointOn>
<Segment name="s3" n="14" from="OP6" to="OP7" arrow="true">Strecke von OP6 nach OP7</Segment>
<Circle name="k2" n="15" hidden="super" fixed="2*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 1.5</Circle>
<Circle name="k3" n="16" hidden="super" fixed="3*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 2.25</Circle>
<Circle name="k4" n="17" hidden="super" fixed="4*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 3.0</Circle>
<Circle name="k5" n="18" hidden="super" fixed="5*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 3.75</Circle>
<Circle name="k6" n="19" hidden="super" fixed="6*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 4.5</Circle>
<Circle name="k7" n="20" hidden="super" fixed="7*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 5.25</Circle>
<Circle name="k8" n="21" hidden="super" fixed="8*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 6.0</Circle>
<Circle name="k9" n="22" hidden="super" fixed="9*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 6.75</Circle>
<Circle name="k10" n="23" hidden="super" fixed="10*k1" midpoint="P2" acute="true">Kreis um P2 mit Radius 7.5</Circle>
<Intersection name="S4" n="24" hidden="super" first="s3" second="k10" which="first">Schnitt zwischen s3 und k10</Intersection>
<Intersection name="S5" n="25" hidden="super" first="s3" second="k10" which="second">Schnitt zwischen s3 und k10</Intersection>
<Intersection name="S6" n="26" hidden="super" first="s3" second="k9" which="first">Schnitt zwischen s3 und k9</Intersection>
<Intersection name="S7" n="27" hidden="super" first="s3" second="k9" which="second">Schnitt zwischen s3 und k9</Intersection>
<Intersection name="S8" n="28" hidden="super" first="s3" second="k8" which="first">Schnitt zwischen s3 und k8</Intersection>
<Intersection name="S9" n="29" hidden="super" first="s3" second="k8" which="second">Schnitt zwischen s3 und k8</Intersection>
<Intersection name="S10" n="30" hidden="super" first="s3" second="k7" which="first">Schnitt zwischen s3 und k7</Intersection>
<Intersection name="S11" n="31" hidden="super" first="s3" second="k7" which="second">Schnitt zwischen s3 und k7</Intersection>
<Intersection name="S12" n="32" hidden="super" first="s3" second="k6" which="first">Schnitt zwischen s3 und k6</Intersection>
<Intersection name="S13" n="33" hidden="super" first="s3" second="k6" which="second">Schnitt zwischen s3 und k6</Intersection>
<Intersection name="S14" n="34" hidden="super" first="s3" second="k5" which="first">Schnitt zwischen s3 und k5</Intersection>
<Intersection name="S15" n="35" hidden="super" first="s3" second="k5" which="second">Schnitt zwischen s3 und k5</Intersection>
<Intersection name="S16" n="36" hidden="super" first="s3" second="k4" which="first">Schnitt zwischen s3 und k4</Intersection>
<Intersection name="S17" n="37" hidden="super" first="s3" second="k4" which="first">Schnitt zwischen s3 und k4</Intersection>
<Intersection name="S18" n="38" hidden="super" first="s3" second="k3" which="first">Schnitt zwischen s3 und k3</Intersection>
<Intersection name="S19" n="39" hidden="super" first="s3" second="k3" which="second">Schnitt zwischen s3 und k3</Intersection>
<Intersection name="S20" n="40" hidden="super" first="s3" second="k2" which="first">Schnitt zwischen s3 und k2</Intersection>
<Intersection name="S21" n="41" hidden="super" first="s3" second="k2" which="second">Schnitt zwischen s3 und k2</Intersection>
<Intersection name="S22" n="42" hidden="super" first="s2" second="k10" which="first">Schnitt zwischen s2 und k10</Intersection>
<Intersection name="S23" n="43" hidden="super" first="s2" second="k10" which="second">Schnitt zwischen s2 und k10</Intersection>
<Intersection name="S24" n="44" hidden="super" first="s2" second="k9" which="first">Schnitt zwischen s2 und k9</Intersection>
<Intersection name="S25" n="45" hidden="super" first="s2" second="k9" which="second">Schnitt zwischen s2 und k9</Intersection>
<Intersection name="S26" n="46" hidden="super" first="s2" second="k8" which="first">Schnitt zwischen s2 und k8</Intersection>
<Intersection name="S27" n="47" hidden="super" first="s2" second="k8" which="second">Schnitt zwischen s2 und k8</Intersection>
<Intersection name="S28" n="48" hidden="super" first="s2" second="k7" which="first">Schnitt zwischen s2 und k7</Intersection>
<Intersection name="S29" n="49" hidden="super" first="s2" second="k7" which="second">Schnitt zwischen s2 und k7</Intersection>
<Intersection name="S30" n="50" hidden="super" first="s2" second="k6" which="first">Schnitt zwischen s2 und k6</Intersection>
<Intersection name="S31" n="51" hidden="super" first="s2" second="k6" which="second">Schnitt zwischen s2 und k6</Intersection>
<Intersection name="S32" n="52" hidden="super" first="s2" second="k5" which="first">Schnitt zwischen s2 und k5</Intersection>
<Intersection name="S33" n="53" hidden="super" first="s2" second="k5" which="second">Schnitt zwischen s2 und k5</Intersection>
<Intersection name="S34" n="54" hidden="super" first="s2" second="k4" which="first">Schnitt zwischen s2 und k4</Intersection>
<Intersection name="S35" n="55" hidden="super" first="s2" second="k4" which="second">Schnitt zwischen s2 und k4</Intersection>
<Intersection name="S36" n="56" hidden="super" first="s2" second="k3" which="first">Schnitt zwischen s2 und k3</Intersection>
<Intersection name="S37" n="57" hidden="super" first="s2" second="k3" which="second">Schnitt zwischen s2 und k3</Intersection>
<Intersection name="S38" n="58" hidden="super" first="s2" second="k2" which="first">Schnitt zwischen s2 und k2</Intersection>
<Intersection name="S39" n="59" hidden="super" first="s2" second="k2" which="second">Schnitt zwischen s2 und k2</Intersection>
<Plumb name="l2" n="60" hidden="super" point="P3" line="s2" valid="true">Lot durch P3 zu s2</Plumb>
<Circle name="k11" n="61" hidden="super" fixed="0.1*s1" midpoint="P3" acute="true">Kreis um P3 mit Radius 0.075</Circle>
<Intersection name="S40" n="62" hidden="super" first="l2" second="k11" which="first">Schnitt zwischen l2 und k11</Intersection>
<Intersection name="S41" n="63" hidden="super" first="l2" second="k11" which="second">Schnitt zwischen l2 und k11</Intersection>
<Segment name="s4" n="64" from="S40" to="S41">Strecke von S40 nach S41</Segment>
<Circle name="k12" n="65" hidden="super" fixed="0.1*s1" midpoint="S38" acute="true">Kreis um S38 mit Radius 0.075</Circle>
<Plumb name="l3" n="66" hidden="super" point="S38" line="s2" valid="true">Lot durch S38 zu s2</Plumb>
<Intersection name="S42" n="67" hidden="super" first="l3" second="k12" which="first">Schnitt zwischen l3 und k12</Intersection>
<Intersection name="S43" n="68" hidden="super" first="l3" second="k12" which="second">Schnitt zwischen l3 und k12</Intersection>
<Segment name="s5" n="69" from="S42" to="S43">Strecke von S42 nach S43</Segment>
<Circle name="k13" n="70" hidden="super" fixed="0.1*s1" midpoint="S36" acute="true">Kreis um S36 mit Radius 0.075</Circle>
<Plumb name="l4" n="71" hidden="super" point="S36" line="s2" valid="true">Lot durch S36 zu s2</Plumb>
<Intersection name="S44" n="72" hidden="super" first="l4" second="k13" which="first">Schnitt zwischen l4 und k13</Intersection>
<Intersection name="S45" n="73" hidden="super" first="l4" second="k13" which="second">Schnitt zwischen l4 und k13</Intersection>
<Segment name="s6" n="74" from="S44" to="S45">Strecke von S44 nach S45</Segment>
<Circle name="k14" n="75" hidden="super" fixed="0.1*s1" midpoint="S34" acute="true">Kreis um S34 mit Radius 0.075</Circle>
<Plumb name="l5" n="76" hidden="super" point="S34" line="s2" valid="true">Lot durch S34 zu s2</Plumb>
<Intersection name="S46" n="77" hidden="super" first="l5" second="k14" which="first">Schnitt zwischen l5 und k14</Intersection>
<Intersection name="S47" n="78" hidden="super" first="l5" second="k14" which="second">Schnitt zwischen l5 und k14</Intersection>
<Segment name="s7" n="79" from="S46" to="S47">Strecke von S46 nach S47</Segment>
<Circle name="k15" n="80" hidden="super" fixed="0.1*s1" midpoint="S32" acute="true">Kreis um S32 mit Radius 0.075</Circle>
<Plumb name="l6" n="81" hidden="super" point="S32" line="s2" valid="true">Lot durch S32 zu s2</Plumb>
<Intersection name="S48" n="82" hidden="super" first="l6" second="k15" which="first">Schnitt zwischen l6 und k15</Intersection>
<Intersection name="S49" n="83" hidden="super" first="l6" second="k15" which="second">Schnitt zwischen l6 und k15</Intersection>
<Segment name="s8" n="84" from="S48" to="S49">Strecke von S48 nach S49</Segment>
<Circle name="k16" n="85" hidden="super" fixed="0.1*s1" midpoint="S30" acute="true">Kreis um S30 mit Radius 0.0</Circle>
<Plumb name="l7" n="86" hidden="super" point="S30" line="s2" valid="true">Lot durch S30 zu s2</Plumb>
<Intersection name="S50" n="87" hidden="super" first="l7" second="k16" which="first">Schnitt zwischen l7 und k16</Intersection>
<Intersection name="S51" n="88" hidden="super" first="l7" second="k16" which="second">Schnitt zwischen l7 und k16</Intersection>
<Segment name="s9" n="89" from="S50" to="S51">Strecke von S50 nach S51</Segment>
<Circle name="k17" n="90" hidden="super" fixed="0.1*s1" midpoint="S28" acute="true">Kreis um S28 mit Radius 0.0</Circle>
<Plumb name="l8" n="91" hidden="super" point="S28" line="s2" valid="true">Lot durch S28 zu s2</Plumb>
<Intersection name="S52" n="92" hidden="super" first="l8" second="k17" which="first">Schnitt zwischen l8 und k17</Intersection>
<Intersection name="S53" n="93" hidden="super" first="l8" second="k17" which="second">Schnitt zwischen l8 und k17</Intersection>
<Segment name="s10" n="94" from="S52" to="S53">Strecke von S52 nach S53</Segment>
<Circle name="k18" n="95" hidden="super" fixed="0.1*s1" midpoint="S26" acute="true">Kreis um S26 mit Radius 0.0</Circle>
<Plumb name="l9" n="96" hidden="super" point="S26" line="s2" valid="true">Lot durch S26 zu s2</Plumb>
<Intersection name="S54" n="97" hidden="super" first="l9" second="k18" which="first">Schnitt zwischen l9 und k18</Intersection>
<Intersection name="S55" n="98" hidden="super" first="l9" second="k18" which="second">Schnitt zwischen l9 und k18</Intersection>
<Segment name="s11" n="99" from="S54" to="S55">Strecke von S54 nach S55</Segment>
<Circle name="k19" n="100" hidden="super" fixed="0.1*s1" midpoint="S24" acute="true">Kreis um S24 mit Radius 0.0</Circle>
<Plumb name="l10" n="101" hidden="super" point="S24" line="s2" valid="true">Lot durch S24 zu s2</Plumb>
<Intersection name="S56" n="102" hidden="super" first="l10" second="k19" which="first">Schnitt zwischen l10 und k19</Intersection>
<Intersection name="S57" n="103" hidden="super" first="l10" second="k19" which="second">Schnitt zwischen l10 und k19</Intersection>
<Segment name="s12" n="104" from="S56" to="S57">Strecke von S56 nach S57</Segment>
<Circle name="k20" n="105" hidden="super" fixed="0.1*s1" midpoint="S22" acute="true">Kreis um S22 mit Radius 0.0</Circle>
<Plumb name="l11" n="106" hidden="super" point="S22" line="s2" valid="true">Lot durch S22 zu s2</Plumb>
<Intersection name="S58" n="107" hidden="super" first="l11" second="k20" which="first">Schnitt zwischen l11 und k20</Intersection>
<Intersection name="S59" n="108" hidden="super" first="l11" second="k20" which="second">Schnitt zwischen l11 und k20</Intersection>
<Segment name="s13" n="109" from="S58" to="S59">Strecke von S58 nach S59</Segment>
<Circle name="k21" n="110" hidden="super" fixed="0.1*s1" midpoint="S3" acute="true">Kreis um S3 mit Radius 0.075</Circle>
<Plumb name="l12" n="111" hidden="super" point="S3" line="s2" valid="true">Lot durch S3 zu s2</Plumb>
<Intersection name="S60" n="112" hidden="super" first="l12" second="k21" which="first">Schnitt zwischen l12 und k21</Intersection>
<Intersection name="S61" n="113" hidden="super" first="l12" second="k21" which="second">Schnitt zwischen l12 und k21</Intersection>
<Segment name="s14" n="114" from="S60" to="S61">Strecke von S60 nach S61</Segment>
<Circle name="k22" n="115" hidden="super" fixed="0.1*s1" midpoint="S39" acute="true">Kreis um S39 mit Radius 0.075</Circle>
<Plumb name="l13" n="116" hidden="super" point="S39" line="s2" valid="true">Lot durch S39 zu s2</Plumb>
<Intersection name="S62" n="117" hidden="super" first="l13" second="k22" which="first">Schnitt zwischen l13 und k22</Intersection>
<Intersection name="S63" n="118" hidden="super" first="l13" second="k22" which="second">Schnitt zwischen l13 und k22</Intersection>
<Segment name="s15" n="119" from="S62" to="S63">Strecke von S62 nach S63</Segment>
<Circle name="k23" n="120" hidden="super" fixed="0.1*s1" midpoint="S37" acute="true">Kreis um S37 mit Radius 0.075</Circle>
<Plumb name="l14" n="121" hidden="super" point="S37" line="s2" valid="true">Lot durch S37 zu s2</Plumb>
<Intersection name="S64" n="122" hidden="super" first="l14" second="k23" which="first">Schnitt zwischen l14 und k23</Intersection>
<Intersection name="S65" n="123" hidden="super" first="l14" second="k23" which="second">Schnitt zwischen l14 und k23</Intersection>
<Segment name="s16" n="124" from="S64" to="S65">Strecke von S64 nach S65</Segment>
<Circle name="k24" n="125" hidden="super" fixed="0.1*s1" midpoint="S35" acute="true">Kreis um S35 mit Radius 0.075</Circle>
<Plumb name="l15" n="126" hidden="super" point="S35" line="s2" valid="true">Lot durch S35 zu s2</Plumb>
<Intersection name="S66" n="127" hidden="super" first="l15" second="k24" which="first">Schnitt zwischen l15 und k24</Intersection>
<Intersection name="S67" n="128" hidden="super" first="l15" second="k24" which="second">Schnitt zwischen l15 und k24</Intersection>
<Segment name="s17" n="129" from="S66" to="S67">Strecke von S66 nach S67</Segment>
<Circle name="k25" n="130" hidden="super" fixed="0.1*s1" midpoint="S33" acute="true">Kreis um S33 mit Radius 0.075</Circle>
<Plumb name="l16" n="131" hidden="super" point="S33" line="s2" valid="true">Lot durch S33 zu s2</Plumb>
<Intersection name="S68" n="132" hidden="super" first="l16" second="k25" which="first">Schnitt zwischen l16 und k25</Intersection>
<Intersection name="S69" n="133" hidden="super" first="l16" second="k25" which="second">Schnitt zwischen l16 und k25</Intersection>
<Segment name="s18" n="134" from="S68" to="S69">Strecke von S68 nach S69</Segment>
<Circle name="k26" n="135" hidden="super" fixed="0.1*s1" midpoint="S31" acute="true">Kreis um S31 mit Radius 0.0</Circle>
<Plumb name="l17" n="136" hidden="super" point="S31" line="s2" valid="true">Lot durch S31 zu s2</Plumb>
<Intersection name="S70" n="137" hidden="super" first="l17" second="k26" which="first">Schnitt zwischen l17 und k26</Intersection>
<Intersection name="S71" n="138" hidden="super" first="l17" second="k26" which="second">Schnitt zwischen l17 und k26</Intersection>
<Segment name="s19" n="139" from="S70" to="S71">Strecke von S70 nach S71</Segment>
<Circle name="k27" n="140" hidden="super" fixed="0.1*s1" midpoint="S29" acute="true">Kreis um S29 mit Radius 0.0</Circle>
<Plumb name="l18" n="141" hidden="super" point="S29" line="s2" valid="true">Lot durch S29 zu s2</Plumb>
<Intersection name="S72" n="142" hidden="super" first="l18" second="k27" which="first">Schnitt zwischen l18 und k27</Intersection>
<Intersection name="S73" n="143" hidden="super" first="l18" second="k27" which="second">Schnitt zwischen l18 und k27</Intersection>
<Segment name="s20" n="144" from="S72" to="S73">Strecke von S72 nach S73</Segment>
<Circle name="k28" n="145" hidden="super" fixed="0.1*s1" midpoint="S27" acute="true">Kreis um S27 mit Radius 0.0</Circle>
<Plumb name="l19" n="146" hidden="super" point="S27" line="s2" valid="true">Lot durch S27 zu s2</Plumb>
<Intersection name="S74" n="147" hidden="super" first="l19" second="k28" which="first">Schnitt zwischen l19 und k28</Intersection>
<Intersection name="S75" n="148" hidden="super" first="l19" second="k28" which="second">Schnitt zwischen l19 und k28</Intersection>
<Segment name="s21" n="149" from="S74" to="S75">Strecke von S74 nach S75</Segment>
<Circle name="k29" n="150" hidden="super" fixed="0.1*s1" midpoint="S25" acute="true">Kreis um S25 mit Radius 0.0</Circle>
<Plumb name="l20" n="151" hidden="super" point="S25" line="s2" valid="true">Lot durch S25 zu s2</Plumb>
<Intersection name="S76" n="152" hidden="super" first="l20" second="k29" which="first">Schnitt zwischen l20 und k29</Intersection>
<Intersection name="S77" n="153" hidden="super" first="l20" second="k29" which="second">Schnitt zwischen l20 und k29</Intersection>
<Segment name="s22" n="154" from="S76" to="S77">Strecke von S76 nach S77</Segment>
<Circle name="k30" n="155" hidden="super" fixed="0.1*s1" midpoint="S23" acute="true">Kreis um S23 mit Radius 0.0</Circle>
<Plumb name="l21" n="156" hidden="super" point="S23" line="s2" valid="true">Lot durch S23 zu s2</Plumb>
<Intersection name="S78" n="157" hidden="super" first="l21" second="k30" which="first">Schnitt zwischen l21 und k30</Intersection>
<Intersection name="S79" n="158" hidden="super" first="l21" second="k30" which="second">Schnitt zwischen l21 und k30</Intersection>
<Segment name="s23" n="159" from="S78" to="S79">Strecke von S78 nach S79</Segment>
<Circle name="k31" n="160" hidden="super" fixed="0.1*s1" midpoint="S1" acute="true">Kreis um S1 mit Radius 0.075</Circle>
<Plumb name="l22" n="161" hidden="super" point="S1" line="s3" valid="true">Lot durch S1 zu s3</Plumb>
<Intersection name="S80" n="162" hidden="super" first="l22" second="k31" which="first">Schnitt zwischen l22 und k31</Intersection>
<Intersection name="S81" n="163" hidden="super" first="l22" second="k31" which="second">Schnitt zwischen l22 und k31</Intersection>
<Segment name="s24" n="164" from="S80" to="S81">Strecke von S80 nach S81</Segment>
<Circle name="k32" n="165" hidden="super" fixed="0.1*s1" midpoint="S20" acute="true">Kreis um S20 mit Radius 0.075</Circle>
<Plumb name="l23" n="166" hidden="super" point="S20" line="s3" valid="true">Lot durch S20 zu s3</Plumb>
<Intersection name="S82" n="167" hidden="super" first="l23" second="k32" which="first">Schnitt zwischen l23 und k32</Intersection>
<Intersection name="S83" n="168" hidden="super" first="l23" second="k32" which="second">Schnitt zwischen l23 und k32</Intersection>
<Segment name="s25" n="169" from="S82" to="S83">Strecke von S82 nach S83</Segment>
<Circle name="k33" n="170" hidden="super" fixed="0.1*s1" midpoint="S18" acute="true">Kreis um S18 mit Radius 0.075</Circle>
<Plumb name="l24" n="171" hidden="super" point="S18" line="s3" valid="true">Lot durch S18 zu s3</Plumb>
<Intersection name="S84" n="172" hidden="super" first="l24" second="k33" which="first">Schnitt zwischen l24 und k33</Intersection>
<Intersection name="S85" n="173" hidden="super" first="l24" second="k33" which="second">Schnitt zwischen l24 und k33</Intersection>
<Segment name="s26" n="174" from="S84" to="S85">Strecke von S84 nach S85</Segment>
<Circle name="k34" n="175" hidden="super" fixed="0.1*s1" midpoint="S16" acute="true">Kreis um S16 mit Radius 0.075</Circle>
<Plumb name="l25" n="176" hidden="super" point="S16" line="s3" valid="true">Lot durch S16 zu s3</Plumb>
<Intersection name="S86" n="177" hidden="super" first="l25" second="k34" which="first">Schnitt zwischen l25 und k34</Intersection>
<Intersection name="S87" n="178" hidden="super" first="l25" second="k34" which="second">Schnitt zwischen l25 und k34</Intersection>
<Segment name="s27" n="179" from="S86" to="S87">Strecke von S86 nach S87</Segment>
<Circle name="k35" n="180" hidden="super" fixed="0.1*s1" midpoint="S14" acute="true">Kreis um S14 mit Radius 0.075</Circle>
<Plumb name="l26" n="181" hidden="super" point="S14" line="s3" valid="true">Lot durch S14 zu s3</Plumb>
<Intersection name="S88" n="182" hidden="super" first="l26" second="k35" which="first">Schnitt zwischen l26 und k35</Intersection>
<Intersection name="S89" n="183" hidden="super" first="l26" second="k35" which="second">Schnitt zwischen l26 und k35</Intersection>
<Segment name="s28" n="184" from="S88" to="S89">Strecke von S88 nach S89</Segment>
<Circle name="k36" n="185" hidden="super" fixed="0.1*s1" midpoint="S12" acute="true">Kreis um S12 mit Radius 0.075</Circle>
<Plumb name="l27" n="186" hidden="super" point="S12" line="s3" valid="true">Lot durch S12 zu s3</Plumb>
<Intersection name="S90" n="187" hidden="super" first="l27" second="k36" which="first">Schnitt zwischen l27 und k36</Intersection>
<Intersection name="S91" n="188" hidden="super" first="l27" second="k36" which="second">Schnitt zwischen l27 und k36</Intersection>
<Segment name="s29" n="189" from="S90" to="S91">Strecke von S90 nach S91</Segment>
<Circle name="k37" n="190" hidden="super" fixed="0.1*s1" midpoint="S10" acute="true">Kreis um S10 mit Radius 0.075</Circle>
<Plumb name="l28" n="191" hidden="super" point="S10" line="s3" valid="true">Lot durch S10 zu s3</Plumb>
<Intersection name="S92" n="192" hidden="super" first="l28" second="k37" which="first">Schnitt zwischen l28 und k37</Intersection>
<Intersection name="S93" n="193" hidden="super" first="l28" second="k37" which="second">Schnitt zwischen l28 und k37</Intersection>
<Segment name="s30" n="194" from="S92" to="S93">Strecke von S92 nach S93</Segment>
<Circle name="k38" n="195" hidden="super" fixed="0.1*s1" midpoint="S8" acute="true">Kreis um S8 mit Radius 0.0</Circle>
<Plumb name="l29" n="196" hidden="super" point="S8" line="s3" valid="true">Lot durch S8 zu s3</Plumb>
<Intersection name="S94" n="197" hidden="super" first="l29" second="k38" which="first">Schnitt zwischen l29 und k38</Intersection>
<Intersection name="S95" n="198" hidden="super" first="l29" second="k38" which="second">Schnitt zwischen l29 und k38</Intersection>
<Segment name="s31" n="199" from="S94" to="S95">Strecke von S94 nach S95</Segment>
<Circle name="k39" n="200" hidden="super" fixed="0.1*s1" midpoint="S6" acute="true">Kreis um S6 mit Radius 0.0</Circle>
<Plumb name="l30" n="201" hidden="super" point="S6" line="s3" valid="true">Lot durch S6 zu s3</Plumb>
<Intersection name="S96" n="202" hidden="super" first="l30" second="k39" which="first">Schnitt zwischen l30 und k39</Intersection>
<Intersection name="S97" n="203" hidden="super" first="l30" second="k39" which="second">Schnitt zwischen l30 und k39</Intersection>
<Segment name="s32" n="204" from="S96" to="S97">Strecke von S96 nach S97</Segment>
<Circle name="k40" n="205" hidden="super" fixed="0.1*s1" midpoint="S4" acute="true">Kreis um S4 mit Radius 0.0</Circle>
<Plumb name="l31" n="206" hidden="super" point="S4" line="s3" valid="true">Lot durch S4 zu s3</Plumb>
<Intersection name="S98" n="207" hidden="super" first="l31" second="k40" which="first">Schnitt zwischen l31 und k40</Intersection>
<Intersection name="S99" n="208" hidden="super" first="l31" second="k40" which="second">Schnitt zwischen l31 und k40</Intersection>
<Segment name="s33" n="209" from="S98" to="S99">Strecke von S98 nach S99</Segment>
<Circle name="k41" n="210" hidden="super" fixed="0.1*s1" midpoint="S2" acute="true">Kreis um S2 mit Radius 0.075</Circle>
<Plumb name="l32" n="211" hidden="super" point="S2" line="s3" valid="true">Lot durch S2 zu s3</Plumb>
<Intersection name="S100" n="212" hidden="super" first="l32" second="k41" which="first">Schnitt zwischen l32 und k41</Intersection>
<Intersection name="S101" n="213" hidden="super" first="l32" second="k41" which="second">Schnitt zwischen l32 und k41</Intersection>
<Segment name="s34" n="214" from="S100" to="S101">Strecke von S100 nach S101</Segment>
<Circle name="k42" n="215" hidden="super" fixed="0.1*s1" midpoint="S21" acute="true">Kreis um S21 mit Radius 0.075</Circle>
<Plumb name="l33" n="216" hidden="super" point="S21" line="s3" valid="true">Lot durch S21 zu s3</Plumb>
<Intersection name="S102" n="217" hidden="super" first="l33" second="k42" which="first">Schnitt zwischen l33 und k42</Intersection>
<Intersection name="S103" n="218" hidden="super" first="l33" second="k42" which="second">Schnitt zwischen l33 und k42</Intersection>
<Segment name="s35" n="219" from="S102" to="S103">Strecke von S102 nach S103</Segment>
<Circle name="k43" n="220" hidden="super" fixed="0.1*s1" midpoint="S19" acute="true">Kreis um S19 mit Radius 0.075</Circle>
<Plumb name="l34" n="221" hidden="super" point="S19" line="s3" valid="true">Lot durch S19 zu s3</Plumb>
<Intersection name="S104" n="222" hidden="super" first="l34" second="k43" which="first">Schnitt zwischen l34 und k43</Intersection>
<Intersection name="S105" n="223" hidden="super" first="l34" second="k43" which="second">Schnitt zwischen l34 und k43</Intersection>
<Segment name="s36" n="224" from="S104" to="S105">Strecke von S104 nach S105</Segment>
<Circle name="k44" n="225" hidden="super" fixed="0.1*s1" midpoint="S17" acute="true">Kreis um S17 mit Radius 0.075</Circle>
<Plumb name="l35" n="226" hidden="super" point="S17" line="s3" valid="true">Lot durch S17 zu s3</Plumb>
<Intersection name="S106" n="227" hidden="super" first="l35" second="k44" which="first">Schnitt zwischen l35 und k44</Intersection>
<Intersection name="S107" n="228" hidden="super" first="l35" second="k44" which="second">Schnitt zwischen l35 und k44</Intersection>
<Segment name="s37" n="229" from="S106" to="S107">Strecke von S106 nach S107</Segment>
<Circle name="k45" n="230" hidden="super" fixed="0.1*s1" midpoint="S15" acute="true">Kreis um S15 mit Radius 0.075</Circle>
<Plumb name="l36" n="231" hidden="super" point="S15" line="s3" valid="true">Lot durch S15 zu s3</Plumb>
<Intersection name="S108" n="232" hidden="super" first="l36" second="k45" which="first">Schnitt zwischen l36 und k45</Intersection>
<Intersection name="S109" n="233" hidden="super" first="l36" second="k45" which="second">Schnitt zwischen l36 und k45</Intersection>
<Segment name="s38" n="234" from="S108" to="S109">Strecke von S108 nach S109</Segment>
<Circle name="k46" n="235" hidden="super" fixed="0.1*s1" midpoint="S13" acute="true">Kreis um S13 mit Radius 0.075</Circle>
<Plumb name="l37" n="236" hidden="super" point="S13" line="s3" valid="true">Lot durch S13 zu s3</Plumb>
<Intersection name="S110" n="237" hidden="super" first="l37" second="k46" which="first">Schnitt zwischen l37 und k46</Intersection>
<Intersection name="S111" n="238" hidden="super" first="l37" second="k46" which="second">Schnitt zwischen l37 und k46</Intersection>
<Segment name="s39" n="239" from="S110" to="S111">Strecke von S110 nach S111</Segment>
<Circle name="k47" n="240" hidden="super" fixed="0.1*s1" midpoint="S11" acute="true">Kreis um S11 mit Radius 0.075</Circle>
<Plumb name="l38" n="241" hidden="super" point="S11" line="s3" valid="true">Lot durch S11 zu s3</Plumb>
<Intersection name="S112" n="242" hidden="super" first="l38" second="k47" which="first">Schnitt zwischen l38 und k47</Intersection>
<Intersection name="S113" n="243" hidden="super" first="l38" second="k47" which="second">Schnitt zwischen l38 und k47</Intersection>
<Segment name="s40" n="244" from="S112" to="S113">Strecke von S112 nach S113</Segment>
<Circle name="k48" n="245" hidden="super" fixed="0.1*s1" midpoint="S9" acute="true">Kreis um S9 mit Radius 0.075</Circle>
<Plumb name="l39" n="246" hidden="super" point="S9" line="s3" valid="true">Lot durch S9 zu s3</Plumb>
<Intersection name="S114" n="247" hidden="super" first="l39" second="k48" which="first">Schnitt zwischen l39 und k48</Intersection>
<Intersection name="S115" n="248" hidden="super" first="l39" second="k48" which="second">Schnitt zwischen l39 und k48</Intersection>
<Segment name="s41" n="249" from="S114" to="S115">Strecke von S114 nach S115</Segment>
<Circle name="k49" n="250" hidden="super" fixed="0.1*s1" midpoint="S7" acute="true">Kreis um S7 mit Radius 0.0</Circle>
<Plumb name="l40" n="251" hidden="super" point="S7" line="s3" valid="true">Lot durch S7 zu s3</Plumb>
<Intersection name="S116" n="252" hidden="super" first="l40" second="k49" which="first">Schnitt zwischen l40 und k49</Intersection>
<Intersection name="S117" n="253" hidden="super" first="l40" second="k49" which="second">Schnitt zwischen l40 und k49</Intersection>
<Segment name="s42" n="254" from="S116" to="S117">Strecke von S116 nach S117</Segment>
<Circle name="k50" n="255" hidden="super" fixed="0.1*s1" midpoint="S5" acute="true">Kreis um S5 mit Radius 0.0</Circle>
<Plumb name="l41" n="256" hidden="super" point="S5" line="s3" valid="true">Lot durch S5 zu s3</Plumb>
<Intersection name="S118" n="257" hidden="super" first="l41" second="k50" which="first">Schnitt zwischen l41 und k50</Intersection>
<Intersection name="S119" n="258" hidden="super" first="l41" second="k50" which="second">Schnitt zwischen l41 und k50</Intersection>
<Segment name="s43" n="259" from="S118" to="S119">Strecke von S118 nach S119</Segment>
<PointOn name="OP8" n="260" on="s2" alpha="0.6171428571428572" x="0.40000000000000036" y="0.9124999999999996">Punkt auf s2</PointOn>
<Expression name="AD1" n="261" showname="true" showvalue="true" x="1.545969249503539" y="-0.8688958394339955" value="(d(OP8,OP4)-d(P2,OP4))/s1" prompt="x">Ausdruck &quot;(d(OP8,OP4)-d(P2,OP4))/s1&quot; in 1.54597, -0.8689</Expression>
<Expression name="AD2" n="262" showname="true" showvalue="true" x="1.545969249503539" y="-1.7310709978109697" value="sin(AD1/pi*180)+sin(2*AD1/pi*180)" prompt="y">Ausdruck &quot;sin(AD1/pi*180)+sin(2*AD1/pi*180)&quot; in 1.54597, -1.73107</Expression>
<Plumb name="l42" n="263" hidden="super" point="OP8" line="s2" valid="true">Lot durch OP8 zu s2</Plumb>
<Plumb name="l43" n="264" hidden="super" point="OP6" line="l42" valid="true">Lot durch OP6 zu l42</Plumb>
<Intersection name="S120" n="265" hidden="super" first="l43" second="l42">Schnitt zwischen l43 und l42</Intersection>
<Circle name="k51" n="266" hidden="super" fixed="AD2*s1+d(S120,OP8)" midpoint="S120" acute="true">Kreis um S120 mit Radius 5.016461</Circle>
<Intersection name="S121" n="267" first="l42" second="k51" which="first">Schnitt zwischen l42 und k51</Intersection>
<Intersection name="S122" n="268" hidden="super" first="s3" second="k4" which="second">Schnitt zwischen s3 und k4</Intersection>
<Plumb name="l44" n="269" hidden="super" point="S122" line="s3" valid="true">Lot durch S122 zu s3</Plumb>
<Circle name="k52" n="270" hidden="super" fixed="0.1" midpoint="S122" acute="true">Kreis um S122 mit Radius 0.1</Circle>
<Intersection name="S123" n="271" hidden="super" first="l44" second="k52" which="first">Schnitt zwischen l44 und k52</Intersection>
<Intersection name="S124" n="272" hidden="super" first="l44" second="k52" which="second">Schnitt zwischen l44 und k52</Intersection>
<Segment name="s44" n="273" from="S123" to="S124">Strecke von S123 nach S124</Segment>
</Objects>
</Macro>
<Macro Name="Koordinatensysteme/Normiertes Koordinatensystem">
<Parameter name="P1">O</Parameter>
<Comment>
<P>Erzeugt ein Koordinatensystem mit Achsenticks 1. Legt man
es in den Ursprung, so kann man berechnete Punkte (x,y)
erzeugen.</P>
</Comment>
<Objects>
<Point name="P1" n="0" hidden="true" mainparameter="true" x="-2.57" y="0.11">Punkt in -2.57, 0.11</Point>
<Point name="P2" n="1" hidden="true" x="x(P1)+1" actx="-1.5699999999999998" y="y(P1)" acty="0.11" fixed="true">Punkt in &quot;x(P1)+1&quot;, &quot;y(P1)&quot;</Point>
<Line name="g1" n="2" hidden="super" from="P1" to="P2">Gerade durch P1 und P2</Line>
<Plumb name="l1" n="3" hidden="super" point="P1" line="g1" valid="true">Lot durch P1 zu g1</Plumb>
<Circle name="k1" n="4" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Intersection name="S1" n="5" hidden="super" first="l1" second="k1" which="first">Schnitt zwischen l1 und k1</Intersection>
<Intersection name="S2" n="6" hidden="super" first="l1" second="k1" which="second">Schnitt zwischen l1 und k1</Intersection>
<Intersection name="S3" n="7" hidden="super" first="g1" second="k1" awayfrom="P2" which="second">Schnitt zwischen g1 und k1</Intersection>
<Segment name="s1" n="8" hidden="super" from="P1" to="P2">Strecke von P1 nach P2</Segment>
<PointOn name="OP3" n="9" on="g1" alpha="-4.275" x="-6.845000000000001" y="0.11" shape="dot">Punkt auf g1</PointOn>
<PointOn name="OP4" n="10" on="g1" alpha="4.475" x="1.9049999999999998" y="0.11" shape="dot">Punkt auf g1</PointOn>
<Segment name="s2" n="11" from="OP3" to="OP4" arrow="true">Strecke von OP3 nach OP4</Segment>
<PointOn name="OP5" n="12" on="l1" alpha="-4.1625" x="-2.57" y="-4.052499999999999" shape="dot">Punkt auf l1</PointOn>
<PointOn name="OP6" n="13" on="l1" alpha="4.1675" x="-2.57" y="4.277500000000001" shape="dot">Punkt auf l1</PointOn>
<Segment name="s3" n="14" from="OP5" to="OP6" arrow="true">Strecke von OP5 nach OP6</Segment>
<Circle name="k2" n="15" hidden="super" fixed="2*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 2.0</Circle>
<Circle name="k3" n="16" hidden="super" fixed="3*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 3.0</Circle>
<Circle name="k4" n="17" hidden="super" fixed="4*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 4.0</Circle>
<Circle name="k5" n="18" hidden="super" fixed="5*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 5.0</Circle>
<Circle name="k6" n="19" hidden="super" fixed="6*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 6.0</Circle>
<Circle name="k7" n="20" hidden="super" fixed="7*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 7.0</Circle>
<Circle name="k8" n="21" hidden="super" fixed="8*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 8.0</Circle>
<Circle name="k9" n="22" hidden="super" fixed="9*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 9.0</Circle>
<Circle name="k10" n="23" hidden="super" fixed="10*k1" midpoint="P1" acute="true">Kreis um P1 mit Radius 10.0</Circle>
<Intersection name="S4" n="24" hidden="super" first="s3" second="k10" which="first">Schnitt zwischen s3 und k10</Intersection>
<Intersection name="S5" n="25" hidden="super" first="s3" second="k10" which="second">Schnitt zwischen s3 und k10</Intersection>
<Intersection name="S6" n="26" hidden="super" first="s3" second="k9" which="first">Schnitt zwischen s3 und k9</Intersection>
<Intersection name="S7" n="27" hidden="super" first="s3" second="k9" which="second">Schnitt zwischen s3 und k9</Intersection>
<Intersection name="S8" n="28" hidden="super" first="s3" second="k8" which="first">Schnitt zwischen s3 und k8</Intersection>
<Intersection name="S9" n="29" hidden="super" first="s3" second="k8" which="second">Schnitt zwischen s3 und k8</Intersection>
<Intersection name="S10" n="30" hidden="super" first="s3" second="k7" which="first">Schnitt zwischen s3 und k7</Intersection>
<Intersection name="S11" n="31" hidden="super" first="s3" second="k7" which="second">Schnitt zwischen s3 und k7</Intersection>
<Intersection name="S12" n="32" hidden="super" first="s3" second="k6" which="first">Schnitt zwischen s3 und k6</Intersection>
<Intersection name="S13" n="33" hidden="super" first="s3" second="k6" which="second">Schnitt zwischen s3 und k6</Intersection>
<Intersection name="S14" n="34" hidden="super" first="s3" second="k5" which="first">Schnitt zwischen s3 und k5</Intersection>
<Intersection name="S15" n="35" hidden="super" first="s3" second="k5" which="second">Schnitt zwischen s3 und k5</Intersection>
<Intersection name="S16" n="36" hidden="super" first="s3" second="k4" which="first">Schnitt zwischen s3 und k4</Intersection>
<Intersection name="S17" n="37" hidden="super" first="s3" second="k4" which="first">Schnitt zwischen s3 und k4</Intersection>
<Intersection name="S18" n="38" hidden="super" first="s3" second="k3" which="first">Schnitt zwischen s3 und k3</Intersection>
<Intersection name="S19" n="39" hidden="super" first="s3" second="k3" which="second">Schnitt zwischen s3 und k3</Intersection>
<Intersection name="S20" n="40" hidden="super" first="s3" second="k2" which="first">Schnitt zwischen s3 und k2</Intersection>
<Intersection name="S21" n="41" hidden="super" first="s3" second="k2" which="second">Schnitt zwischen s3 und k2</Intersection>
<Intersection name="S22" n="42" hidden="super" first="s2" second="k10" which="first">Schnitt zwischen s2 und k10</Intersection>
<Intersection name="S23" n="43" hidden="super" first="s2" second="k10" which="second">Schnitt zwischen s2 und k10</Intersection>
<Intersection name="S24" n="44" hidden="super" first="s2" second="k9" which="first">Schnitt zwischen s2 und k9</Intersection>
<Intersection name="S25" n="45" hidden="super" first="s2" second="k9" which="second">Schnitt zwischen s2 und k9</Intersection>
<Intersection name="S26" n="46" hidden="super" first="s2" second="k8" which="first">Schnitt zwischen s2 und k8</Intersection>
<Intersection name="S27" n="47" hidden="super" first="s2" second="k8" which="second">Schnitt zwischen s2 und k8</Intersection>
<Intersection name="S28" n="48" hidden="super" first="s2" second="k7" which="first">Schnitt zwischen s2 und k7</Intersection>
<Intersection name="S29" n="49" hidden="super" first="s2" second="k7" which="second">Schnitt zwischen s2 und k7</Intersection>
<Intersection name="S30" n="50" hidden="super" first="s2" second="k6" which="first">Schnitt zwischen s2 und k6</Intersection>
<Intersection name="S31" n="51" hidden="super" first="s2" second="k6" which="second">Schnitt zwischen s2 und k6</Intersection>
<Intersection name="S32" n="52" hidden="super" first="s2" second="k5" which="first">Schnitt zwischen s2 und k5</Intersection>
<Intersection name="S33" n="53" hidden="super" first="s2" second="k5" which="second">Schnitt zwischen s2 und k5</Intersection>
<Intersection name="S34" n="54" hidden="super" first="s2" second="k4" which="first">Schnitt zwischen s2 und k4</Intersection>
<Intersection name="S35" n="55" hidden="super" first="s2" second="k4" which="second">Schnitt zwischen s2 und k4</Intersection>
<Intersection name="S36" n="56" hidden="super" first="s2" second="k3" which="first">Schnitt zwischen s2 und k3</Intersection>
<Intersection name="S37" n="57" hidden="super" first="s2" second="k3" which="second">Schnitt zwischen s2 und k3</Intersection>
<Intersection name="S38" n="58" hidden="super" first="s2" second="k2" which="first">Schnitt zwischen s2 und k2</Intersection>
<Intersection name="S39" n="59" hidden="super" first="s2" second="k2" which="second">Schnitt zwischen s2 und k2</Intersection>
<Plumb name="l2" n="60" hidden="super" point="P2" line="s2" valid="true">Lot durch P2 zu s2</Plumb>
<Circle name="k11" n="61" hidden="super" fixed="0.1*s1" midpoint="P2" acute="true">Kreis um P2 mit Radius 0.1</Circle>
<Intersection name="S40" n="62" hidden="super" first="l2" second="k11" which="first">Schnitt zwischen l2 und k11</Intersection>
<Intersection name="S41" n="63" hidden="super" first="l2" second="k11" which="second">Schnitt zwischen l2 und k11</Intersection>
<Segment name="s4" n="64" from="S40" to="S41">Strecke von S40 nach S41</Segment>
<Circle name="k12" n="65" hidden="super" fixed="0.1*s1" midpoint="S38" acute="true">Kreis um S38 mit Radius 0.1</Circle>
<Plumb name="l3" n="66" hidden="super" point="S38" line="s2" valid="true">Lot durch S38 zu s2</Plumb>
<Intersection name="S42" n="67" hidden="super" first="l3" second="k12" which="first">Schnitt zwischen l3 und k12</Intersection>
<Intersection name="S43" n="68" hidden="super" first="l3" second="k12" which="second">Schnitt zwischen l3 und k12</Intersection>
<Segment name="s5" n="69" from="S42" to="S43">Strecke von S42 nach S43</Segment>
<Circle name="k13" n="70" hidden="super" fixed="0.1*s1" midpoint="S36" acute="true">Kreis um S36 mit Radius 0.1</Circle>
<Plumb name="l4" n="71" hidden="super" point="S36" line="s2" valid="true">Lot durch S36 zu s2</Plumb>
<Intersection name="S44" n="72" hidden="super" first="l4" second="k13" which="first">Schnitt zwischen l4 und k13</Intersection>
<Intersection name="S45" n="73" hidden="super" first="l4" second="k13" which="second">Schnitt zwischen l4 und k13</Intersection>
<Segment name="s6" n="74" from="S44" to="S45">Strecke von S44 nach S45</Segment>
<Circle name="k14" n="75" hidden="super" fixed="0.1*s1" midpoint="S34" acute="true">Kreis um S34 mit Radius 0.1</Circle>
<Plumb name="l5" n="76" hidden="super" point="S34" line="s2" valid="true">Lot durch S34 zu s2</Plumb>
<Intersection name="S46" n="77" hidden="super" first="l5" second="k14" which="first">Schnitt zwischen l5 und k14</Intersection>
<Intersection name="S47" n="78" hidden="super" first="l5" second="k14" which="second">Schnitt zwischen l5 und k14</Intersection>
<Segment name="s7" n="79" from="S46" to="S47">Strecke von S46 nach S47</Segment>
<Circle name="k15" n="80" hidden="super" fixed="0.1*s1" midpoint="S32" acute="true">Kreis um S32 mit Radius 0.075</Circle>
<Plumb name="l6" n="81" hidden="super" point="S32" line="s2" valid="true">Lot durch S32 zu s2</Plumb>
<Intersection name="S48" n="82" hidden="super" first="l6" second="k15" which="first">Schnitt zwischen l6 und k15</Intersection>
<Intersection name="S49" n="83" hidden="super" first="l6" second="k15" which="second">Schnitt zwischen l6 und k15</Intersection>
<Segment name="s8" n="84" from="S48" to="S49">Strecke von S48 nach S49</Segment>
<Circle name="k16" n="85" hidden="super" fixed="0.1*s1" midpoint="S30" acute="true">Kreis um S30 mit Radius 0.0</Circle>
<Plumb name="l7" n="86" hidden="super" point="S30" line="s2" valid="true">Lot durch S30 zu s2</Plumb>
<Intersection name="S50" n="87" hidden="super" first="l7" second="k16" which="first">Schnitt zwischen l7 und k16</Intersection>
<Intersection name="S51" n="88" hidden="super" first="l7" second="k16" which="second">Schnitt zwischen l7 und k16</Intersection>
<Segment name="s9" n="89" from="S50" to="S51">Strecke von S50 nach S51</Segment>
<Circle name="k17" n="90" hidden="super" fixed="0.1*s1" midpoint="S28" acute="true">Kreis um S28 mit Radius 0.0</Circle>
<Plumb name="l8" n="91" hidden="super" point="S28" line="s2" valid="true">Lot durch S28 zu s2</Plumb>
<Intersection name="S52" n="92" hidden="super" first="l8" second="k17" which="first">Schnitt zwischen l8 und k17</Intersection>
<Intersection name="S53" n="93" hidden="super" first="l8" second="k17" which="second">Schnitt zwischen l8 und k17</Intersection>
<Segment name="s10" n="94" from="S52" to="S53">Strecke von S52 nach S53</Segment>
<Circle name="k18" n="95" hidden="super" fixed="0.1*s1" midpoint="S26" acute="true">Kreis um S26 mit Radius 0.0</Circle>
<Plumb name="l9" n="96" hidden="super" point="S26" line="s2" valid="true">Lot durch S26 zu s2</Plumb>
<Intersection name="S54" n="97" hidden="super" first="l9" second="k18" which="first">Schnitt zwischen l9 und k18</Intersection>
<Intersection name="S55" n="98" hidden="super" first="l9" second="k18" which="second">Schnitt zwischen l9 und k18</Intersection>
<Segment name="s11" n="99" from="S54" to="S55">Strecke von S54 nach S55</Segment>
<Circle name="k19" n="100" hidden="super" fixed="0.1*s1" midpoint="S24" acute="true">Kreis um S24 mit Radius 0.0</Circle>
<Plumb name="l10" n="101" hidden="super" point="S24" line="s2" valid="true">Lot durch S24 zu s2</Plumb>
<Intersection name="S56" n="102" hidden="super" first="l10" second="k19" which="first">Schnitt zwischen l10 und k19</Intersection>
<Intersection name="S57" n="103" hidden="super" first="l10" second="k19" which="second">Schnitt zwischen l10 und k19</Intersection>
<Segment name="s12" n="104" from="S56" to="S57">Strecke von S56 nach S57</Segment>
<Circle name="k20" n="105" hidden="super" fixed="0.1*s1" midpoint="S22" acute="true">Kreis um S22 mit Radius 0.0</Circle>
<Plumb name="l11" n="106" hidden="super" point="S22" line="s2" valid="true">Lot durch S22 zu s2</Plumb>
<Intersection name="S58" n="107" hidden="super" first="l11" second="k20" which="first">Schnitt zwischen l11 und k20</Intersection>
<Intersection name="S59" n="108" hidden="super" first="l11" second="k20" which="second">Schnitt zwischen l11 und k20</Intersection>
<Segment name="s13" n="109" from="S58" to="S59">Strecke von S58 nach S59</Segment>
<Circle name="k21" n="110" hidden="super" fixed="0.1*s1" midpoint="S3" acute="true">Kreis um S3 mit Radius 0.1</Circle>
<Plumb name="l12" n="111" hidden="super" point="S3" line="s2" valid="true">Lot durch S3 zu s2</Plumb>
<Intersection name="S60" n="112" hidden="super" first="l12" second="k21" which="first">Schnitt zwischen l12 und k21</Intersection>
<Intersection name="S61" n="113" hidden="super" first="l12" second="k21" which="second">Schnitt zwischen l12 und k21</Intersection>
<Segment name="s14" n="114" from="S60" to="S61">Strecke von S60 nach S61</Segment>
<Circle name="k22" n="115" hidden="super" fixed="0.1*s1" midpoint="S39" acute="true">Kreis um S39 mit Radius 0.1</Circle>
<Plumb name="l13" n="116" hidden="super" point="S39" line="s2" valid="true">Lot durch S39 zu s2</Plumb>
<Intersection name="S62" n="117" hidden="super" first="l13" second="k22" which="first">Schnitt zwischen l13 und k22</Intersection>
<Intersection name="S63" n="118" hidden="super" first="l13" second="k22" which="second">Schnitt zwischen l13 und k22</Intersection>
<Segment name="s15" n="119" from="S62" to="S63">Strecke von S62 nach S63</Segment>
<Circle name="k23" n="120" hidden="super" fixed="0.1*s1" midpoint="S37" acute="true">Kreis um S37 mit Radius 0.1</Circle>
<Plumb name="l14" n="121" hidden="super" point="S37" line="s2" valid="true">Lot durch S37 zu s2</Plumb>
<Intersection name="S64" n="122" hidden="super" first="l14" second="k23" which="first">Schnitt zwischen l14 und k23</Intersection>
<Intersection name="S65" n="123" hidden="super" first="l14" second="k23" which="second">Schnitt zwischen l14 und k23</Intersection>
<Segment name="s16" n="124" from="S64" to="S65">Strecke von S64 nach S65</Segment>
<Circle name="k24" n="125" hidden="super" fixed="0.1*s1" midpoint="S35" acute="true">Kreis um S35 mit Radius 0.1</Circle>
<Plumb name="l15" n="126" hidden="super" point="S35" line="s2" valid="true">Lot durch S35 zu s2</Plumb>
<Intersection name="S66" n="127" hidden="super" first="l15" second="k24" which="first">Schnitt zwischen l15 und k24</Intersection>
<Intersection name="S67" n="128" hidden="super" first="l15" second="k24" which="second">Schnitt zwischen l15 und k24</Intersection>
<Segment name="s17" n="129" from="S66" to="S67">Strecke von S66 nach S67</Segment>
<Circle name="k25" n="130" hidden="super" fixed="0.1*s1" midpoint="S33" acute="true">Kreis um S33 mit Radius 0.075</Circle>
<Plumb name="l16" n="131" hidden="super" point="S33" line="s2" valid="true">Lot durch S33 zu s2</Plumb>
<Intersection name="S68" n="132" hidden="super" first="l16" second="k25" which="first">Schnitt zwischen l16 und k25</Intersection>
<Intersection name="S69" n="133" hidden="super" first="l16" second="k25" which="second">Schnitt zwischen l16 und k25</Intersection>
<Segment name="s18" n="134" from="S68" to="S69">Strecke von S68 nach S69</Segment>
<Circle name="k26" n="135" hidden="super" fixed="0.1*s1" midpoint="S31" acute="true">Kreis um S31 mit Radius 0.0</Circle>
<Plumb name="l17" n="136" hidden="super" point="S31" line="s2" valid="true">Lot durch S31 zu s2</Plumb>
<Intersection name="S70" n="137" hidden="super" first="l17" second="k26" which="first">Schnitt zwischen l17 und k26</Intersection>
<Intersection name="S71" n="138" hidden="super" first="l17" second="k26" which="second">Schnitt zwischen l17 und k26</Intersection>
<Segment name="s19" n="139" from="S70" to="S71">Strecke von S70 nach S71</Segment>
<Circle name="k27" n="140" hidden="super" fixed="0.1*s1" midpoint="S29" acute="true">Kreis um S29 mit Radius 0.0</Circle>
<Plumb name="l18" n="141" hidden="super" point="S29" line="s2" valid="true">Lot durch S29 zu s2</Plumb>
<Intersection name="S72" n="142" hidden="super" first="l18" second="k27" which="first">Schnitt zwischen l18 und k27</Intersection>
<Intersection name="S73" n="143" hidden="super" first="l18" second="k27" which="second">Schnitt zwischen l18 und k27</Intersection>
<Segment name="s20" n="144" from="S72" to="S73">Strecke von S72 nach S73</Segment>
<Circle name="k28" n="145" hidden="super" fixed="0.1*s1" midpoint="S27" acute="true">Kreis um S27 mit Radius 0.0</Circle>
<Plumb name="l19" n="146" hidden="super" point="S27" line="s2" valid="true">Lot durch S27 zu s2</Plumb>
<Intersection name="S74" n="147" hidden="super" first="l19" second="k28" which="first">Schnitt zwischen l19 und k28</Intersection>
<Intersection name="S75" n="148" hidden="super" first="l19" second="k28" which="second">Schnitt zwischen l19 und k28</Intersection>
<Segment name="s21" n="149" from="S74" to="S75">Strecke von S74 nach S75</Segment>
<Circle name="k29" n="150" hidden="super" fixed="0.1*s1" midpoint="S25" acute="true">Kreis um S25 mit Radius 0.0</Circle>
<Plumb name="l20" n="151" hidden="super" point="S25" line="s2" valid="true">Lot durch S25 zu s2</Plumb>
<Intersection name="S76" n="152" hidden="super" first="l20" second="k29" which="first">Schnitt zwischen l20 und k29</Intersection>
<Intersection name="S77" n="153" hidden="super" first="l20" second="k29" which="second">Schnitt zwischen l20 und k29</Intersection>
<Segment name="s22" n="154" from="S76" to="S77">Strecke von S76 nach S77</Segment>
<Circle name="k30" n="155" hidden="super" fixed="0.1*s1" midpoint="S23" acute="true">Kreis um S23 mit Radius 0.0</Circle>
<Plumb name="l21" n="156" hidden="super" point="S23" line="s2" valid="true">Lot durch S23 zu s2</Plumb>
<Intersection name="S78" n="157" hidden="super" first="l21" second="k30" which="first">Schnitt zwischen l21 und k30</Intersection>
<Intersection name="S79" n="158" hidden="super" first="l21" second="k30" which="second">Schnitt zwischen l21 und k30</Intersection>
<Segment name="s23" n="159" from="S78" to="S79">Strecke von S78 nach S79</Segment>
<Circle name="k31" n="160" hidden="super" fixed="0.1*s1" midpoint="S1" acute="true">Kreis um S1 mit Radius 0.1</Circle>
<Plumb name="l22" n="161" hidden="super" point="S1" line="s3" valid="true">Lot durch S1 zu s3</Plumb>
<Intersection name="S80" n="162" hidden="super" first="l22" second="k31" which="first">Schnitt zwischen l22 und k31</Intersection>
<Intersection name="S81" n="163" hidden="super" first="l22" second="k31" which="second">Schnitt zwischen l22 und k31</Intersection>
<Segment name="s24" n="164" from="S80" to="S81">Strecke von S80 nach S81</Segment>
<Circle name="k32" n="165" hidden="super" fixed="0.1*s1" midpoint="S20" acute="true">Kreis um S20 mit Radius 0.1</Circle>
<Plumb name="l23" n="166" hidden="super" point="S20" line="s3" valid="true">Lot durch S20 zu s3</Plumb>
<Intersection name="S82" n="167" hidden="super" first="l23" second="k32" which="first">Schnitt zwischen l23 und k32</Intersection>
<Intersection name="S83" n="168" hidden="super" first="l23" second="k32" which="second">Schnitt zwischen l23 und k32</Intersection>
<Segment name="s25" n="169" from="S82" to="S83">Strecke von S82 nach S83</Segment>
<Circle name="k33" n="170" hidden="super" fixed="0.1*s1" midpoint="S18" acute="true">Kreis um S18 mit Radius 0.1</Circle>
<Plumb name="l24" n="171" hidden="super" point="S18" line="s3" valid="true">Lot durch S18 zu s3</Plumb>
<Intersection name="S84" n="172" hidden="super" first="l24" second="k33" which="first">Schnitt zwischen l24 und k33</Intersection>
<Intersection name="S85" n="173" hidden="super" first="l24" second="k33" which="second">Schnitt zwischen l24 und k33</Intersection>
<Segment name="s26" n="174" from="S84" to="S85">Strecke von S84 nach S85</Segment>
<Circle name="k34" n="175" hidden="super" fixed="0.1*s1" midpoint="S16" acute="true">Kreis um S16 mit Radius 0.1</Circle>
<Plumb name="l25" n="176" hidden="super" point="S16" line="s3" valid="true">Lot durch S16 zu s3</Plumb>
<Intersection name="S86" n="177" hidden="super" first="l25" second="k34" which="first">Schnitt zwischen l25 und k34</Intersection>
<Intersection name="S87" n="178" hidden="super" first="l25" second="k34" which="second">Schnitt zwischen l25 und k34</Intersection>
<Segment name="s27" n="179" from="S86" to="S87">Strecke von S86 nach S87</Segment>
<Circle name="k35" n="180" hidden="super" fixed="0.1*s1" midpoint="S14" acute="true">Kreis um S14 mit Radius 0.075</Circle>
<Plumb name="l26" n="181" hidden="super" point="S14" line="s3" valid="true">Lot durch S14 zu s3</Plumb>
<Intersection name="S88" n="182" hidden="super" first="l26" second="k35" which="first">Schnitt zwischen l26 und k35</Intersection>
<Intersection name="S89" n="183" hidden="super" first="l26" second="k35" which="second">Schnitt zwischen l26 und k35</Intersection>
<Segment name="s28" n="184" from="S88" to="S89">Strecke von S88 nach S89</Segment>
<Circle name="k36" n="185" hidden="super" fixed="0.1*s1" midpoint="S12" acute="true">Kreis um S12 mit Radius 0.0</Circle>
<Plumb name="l27" n="186" hidden="super" point="S12" line="s3" valid="true">Lot durch S12 zu s3</Plumb>
<Intersection name="S90" n="187" hidden="super" first="l27" second="k36" which="first">Schnitt zwischen l27 und k36</Intersection>
<Intersection name="S91" n="188" hidden="super" first="l27" second="k36" which="second">Schnitt zwischen l27 und k36</Intersection>
<Segment name="s29" n="189" from="S90" to="S91">Strecke von S90 nach S91</Segment>
<Circle name="k37" n="190" hidden="super" fixed="0.1*s1" midpoint="S10" acute="true">Kreis um S10 mit Radius 0.0</Circle>
<Plumb name="l28" n="191" hidden="super" point="S10" line="s3" valid="true">Lot durch S10 zu s3</Plumb>
<Intersection name="S92" n="192" hidden="super" first="l28" second="k37" which="first">Schnitt zwischen l28 und k37</Intersection>
<Intersection name="S93" n="193" hidden="super" first="l28" second="k37" which="second">Schnitt zwischen l28 und k37</Intersection>
<Segment name="s30" n="194" from="S92" to="S93">Strecke von S92 nach S93</Segment>
<Circle name="k38" n="195" hidden="super" fixed="0.1*s1" midpoint="S8" acute="true">Kreis um S8 mit Radius 0.0</Circle>
<Plumb name="l29" n="196" hidden="super" point="S8" line="s3" valid="true">Lot durch S8 zu s3</Plumb>
<Intersection name="S94" n="197" hidden="super" first="l29" second="k38" which="first">Schnitt zwischen l29 und k38</Intersection>
<Intersection name="S95" n="198" hidden="super" first="l29" second="k38" which="second">Schnitt zwischen l29 und k38</Intersection>
<Segment name="s31" n="199" from="S94" to="S95">Strecke von S94 nach S95</Segment>
<Circle name="k39" n="200" hidden="super" fixed="0.1*s1" midpoint="S6" acute="true">Kreis um S6 mit Radius 0.0</Circle>
<Plumb name="l30" n="201" hidden="super" point="S6" line="s3" valid="true">Lot durch S6 zu s3</Plumb>
<Intersection name="S96" n="202" hidden="super" first="l30" second="k39" which="first">Schnitt zwischen l30 und k39</Intersection>
<Intersection name="S97" n="203" hidden="super" first="l30" second="k39" which="second">Schnitt zwischen l30 und k39</Intersection>
<Segment name="s32" n="204" from="S96" to="S97">Strecke von S96 nach S97</Segment>
<Circle name="k40" n="205" hidden="super" fixed="0.1*s1" midpoint="S4" acute="true">Kreis um S4 mit Radius 0.0</Circle>
<Plumb name="l31" n="206" hidden="super" point="S4" line="s3" valid="true">Lot durch S4 zu s3</Plumb>
<Intersection name="S98" n="207" hidden="super" first="l31" second="k40" which="first">Schnitt zwischen l31 und k40</Intersection>
<Intersection name="S99" n="208" hidden="super" first="l31" second="k40" which="second">Schnitt zwischen l31 und k40</Intersection>
<Segment name="s33" n="209" from="S98" to="S99">Strecke von S98 nach S99</Segment>
<Circle name="k41" n="210" hidden="super" fixed="0.1*s1" midpoint="S2" acute="true">Kreis um S2 mit Radius 0.1</Circle>
<Plumb name="l32" n="211" hidden="super" point="S2" line="s3" valid="true">Lot durch S2 zu s3</Plumb>
<Intersection name="S100" n="212" hidden="super" first="l32" second="k41" which="first">Schnitt zwischen l32 und k41</Intersection>
<Intersection name="S101" n="213" hidden="super" first="l32" second="k41" which="second">Schnitt zwischen l32 und k41</Intersection>
<Segment name="s34" n="214" from="S100" to="S101">Strecke von S100 nach S101</Segment>
<Circle name="k42" n="215" hidden="super" fixed="0.1*s1" midpoint="S21" acute="true">Kreis um S21 mit Radius 0.1</Circle>
<Plumb name="l33" n="216" hidden="super" point="S21" line="s3" valid="true">Lot durch S21 zu s3</Plumb>
<Intersection name="S102" n="217" hidden="super" first="l33" second="k42" which="first">Schnitt zwischen l33 und k42</Intersection>
<Intersection name="S103" n="218" hidden="super" first="l33" second="k42" which="second">Schnitt zwischen l33 und k42</Intersection>
<Segment name="s35" n="219" from="S102" to="S103">Strecke von S102 nach S103</Segment>
<Circle name="k43" n="220" hidden="super" fixed="0.1*s1" midpoint="S19" acute="true">Kreis um S19 mit Radius 0.1</Circle>
<Plumb name="l34" n="221" hidden="super" point="S19" line="s3" valid="true">Lot durch S19 zu s3</Plumb>
<Intersection name="S104" n="222" hidden="super" first="l34" second="k43" which="first">Schnitt zwischen l34 und k43</Intersection>
<Intersection name="S105" n="223" hidden="super" first="l34" second="k43" which="second">Schnitt zwischen l34 und k43</Intersection>
<Segment name="s36" n="224" from="S104" to="S105">Strecke von S104 nach S105</Segment>
<Circle name="k44" n="225" hidden="super" fixed="0.1*s1" midpoint="S17" acute="true">Kreis um S17 mit Radius 0.1</Circle>
<Plumb name="l35" n="226" hidden="super" point="S17" line="s3" valid="true">Lot durch S17 zu s3</Plumb>
<Intersection name="S106" n="227" hidden="super" first="l35" second="k44" which="first">Schnitt zwischen l35 und k44</Intersection>
<Intersection name="S107" n="228" hidden="super" first="l35" second="k44" which="second">Schnitt zwischen l35 und k44</Intersection>
<Segment name="s37" n="229" from="S106" to="S107">Strecke von S106 nach S107</Segment>
<Circle name="k45" n="230" hidden="super" fixed="0.1*s1" midpoint="S15" acute="true">Kreis um S15 mit Radius 0.075</Circle>
<Plumb name="l36" n="231" hidden="super" point="S15" line="s3" valid="true">Lot durch S15 zu s3</Plumb>
<Intersection name="S108" n="232" hidden="super" first="l36" second="k45" which="first">Schnitt zwischen l36 und k45</Intersection>
<Intersection name="S109" n="233" hidden="super" first="l36" second="k45" which="second">Schnitt zwischen l36 und k45</Intersection>
<Segment name="s38" n="234" from="S108" to="S109">Strecke von S108 nach S109</Segment>
<Circle name="k46" n="235" hidden="super" fixed="0.1*s1" midpoint="S13" acute="true">Kreis um S13 mit Radius 0.0</Circle>
<Plumb name="l37" n="236" hidden="super" point="S13" line="s3" valid="true">Lot durch S13 zu s3</Plumb>
<Intersection name="S110" n="237" hidden="super" first="l37" second="k46" which="first">Schnitt zwischen l37 und k46</Intersection>
<Intersection name="S111" n="238" hidden="super" first="l37" second="k46" which="second">Schnitt zwischen l37 und k46</Intersection>
<Segment name="s39" n="239" from="S110" to="S111">Strecke von S110 nach S111</Segment>
<Circle name="k47" n="240" hidden="super" fixed="0.1*s1" midpoint="S11" acute="true">Kreis um S11 mit Radius 0.0</Circle>
<Plumb name="l38" n="241" hidden="super" point="S11" line="s3" valid="true">Lot durch S11 zu s3</Plumb>
<Intersection name="S112" n="242" hidden="super" first="l38" second="k47" which="first">Schnitt zwischen l38 und k47</Intersection>
<Intersection name="S113" n="243" hidden="super" first="l38" second="k47" which="second">Schnitt zwischen l38 und k47</Intersection>
<Segment name="s40" n="244" from="S112" to="S113">Strecke von S112 nach S113</Segment>
<Circle name="k48" n="245" hidden="super" fixed="0.1*s1" midpoint="S9" acute="true">Kreis um S9 mit Radius 0.0</Circle>
<Plumb name="l39" n="246" hidden="super" point="S9" line="s3" valid="true">Lot durch S9 zu s3</Plumb>
<Intersection name="S114" n="247" hidden="super" first="l39" second="k48" which="first">Schnitt zwischen l39 und k48</Intersection>
<Intersection name="S115" n="248" hidden="super" first="l39" second="k48" which="second">Schnitt zwischen l39 und k48</Intersection>
<Segment name="s41" n="249" from="S114" to="S115">Strecke von S114 nach S115</Segment>
<Circle name="k49" n="250" hidden="super" fixed="0.1*s1" midpoint="S7" acute="true">Kreis um S7 mit Radius 0.0</Circle>
<Plumb name="l40" n="251" hidden="super" point="S7" line="s3" valid="true">Lot durch S7 zu s3</Plumb>
<Intersection name="S116" n="252" hidden="super" first="l40" second="k49" which="first">Schnitt zwischen l40 und k49</Intersection>
<Intersection name="S117" n="253" hidden="super" first="l40" second="k49" which="second">Schnitt zwischen l40 und k49</Intersection>
<Segment name="s42" n="254" from="S116" to="S117">Strecke von S116 nach S117</Segment>
<Circle name="k50" n="255" hidden="super" fixed="0.1*s1" midpoint="S5" acute="true">Kreis um S5 mit Radius 0.0</Circle>
<Plumb name="l41" n="256" hidden="super" point="S5" line="s3" valid="true">Lot durch S5 zu s3</Plumb>
<Intersection name="S118" n="257" hidden="super" first="l41" second="k50" which="first">Schnitt zwischen l41 und k50</Intersection>
<Intersection name="S119" n="258" hidden="super" first="l41" second="k50" which="second">Schnitt zwischen l41 und k50</Intersection>
<Segment name="s43" n="259" from="S118" to="S119">Strecke von S118 nach S119</Segment>
<Intersection name="S120" n="260" hidden="super" first="s3" second="k4" which="second">Schnitt zwischen s3 und k4</Intersection>
<Plumb name="l42" n="261" hidden="super" point="S120" line="s3" valid="true">Lot durch S120 zu s3</Plumb>
<Circle name="k51" n="262" hidden="super" fixed="0.1" midpoint="S120" acute="true">Kreis um S120 mit Radius 0.1</Circle>
<Intersection name="S121" n="263" hidden="super" first="l42" second="k51" which="first">Schnitt zwischen l42 und k51</Intersection>
<Intersection name="S122" n="264" hidden="super" first="l42" second="k51" which="second">Schnitt zwischen l42 und k51</Intersection>
<Segment name="s44" n="265" from="S121" to="S122">Strecke von S121 nach S122</Segment>
</Objects>
</Macro>
</CaR>
