<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Sechseck">
<Parameter name="P1">P</Parameter>
<Parameter name="P2">Q</Parameter>
<Comment>
<P>Konstruiere ein Sechseck mit Grundline PQ</P>
</Comment>
<Objects>
<Point name="P1" x="-2.7750000000000004" y="-0.21250000000000036">Punkt in -2.7750000000000004, -0.21250000000000036</Point>
<Point name="P2" x="-0.8" y="-0.21">Punkt in -0.8, -0.21</Point>
<Segment name="s1" target="true" from="P1" to="P2">Strecke von P1 nach P2</Segment>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Circle name="k2" hidden="super" through="P1" midpoint="P2" acute="true">Kreis um P2 durch P1</Circle>
<Intersection name="S1" hidden="super" first="k1" second="k2" which="second">Schnitt zwischen k1 und k2</Intersection>
<Circle name="k3" hidden="super" through="P2" midpoint="S1" acute="true">Kreis um S1 durch P2</Circle>
<Intersection name="S2" target="true" first="k3" second="k2" which="second">Schnitt zwischen k3 und k2</Intersection>
<Circle name="k4" hidden="super" through="P2" midpoint="S2" acute="true">Kreis um S2 durch P2</Circle>
<Intersection name="S3" target="true" first="k4" second="k3" awayfrom="P2" which="first">Schnitt zwischen k4 und k3</Intersection>
<Circle name="k5" hidden="super" through="S2" midpoint="S3" acute="true">Kreis um S3 durch S2</Circle>
<Intersection name="S4" target="true" first="k3" second="k5" which="second">Schnitt zwischen k3 und k5</Intersection>
<Circle name="k6" hidden="super" through="S3" midpoint="S4" acute="true">Kreis um S4 durch S3</Circle>
<Intersection name="S5" target="true" first="k6" second="k1" which="first">Schnitt zwischen k6 und k1</Intersection>
<Segment name="s2" target="true" from="P1" to="S5">Strecke von P1 nach S5</Segment>
<Segment name="s3" target="true" from="S5" to="S4">Strecke von S5 nach S4</Segment>
<Segment name="s4" target="true" from="S4" to="S3">Strecke von S4 nach S3</Segment>
<Segment name="s5" target="true" from="S3" to="S2">Strecke von S3 nach S2</Segment>
<Segment name="s6" target="true" from="S2" to="P2">Strecke von S2 nach P2</Segment>
</Objects>
</Macro>
</CaR>
